Loading...
Searching...
No Matches
Configuration GPIO
Low-level Functions

## Description

These functions provide the ability to read and write the configuration GPIO.

These functions are thread-safe.

## Functions

API_EXPORT int CALL_CONV | bladerf_config_gpio_read (struct bladerf *dev, uint32_t *val)
API_EXPORT int CALL_CONV | bladerf_config_gpio_write (struct bladerf *dev, uint32_t val)

## Function Documentation

## bladerf_config_gpio_read()

API_EXPORT int CALL_CONV bladerf_config_gpio_read | ( | struct bladerf * | dev,
|  | uint32_t * | val )

Read the configuration GPIO register.

Parameters

  | dev | Device handle
  [out] | val | Current configuration GPIO value

Returns
  0 on success, value from Error codes list on failure

## bladerf_config_gpio_write()

API_EXPORT int CALL_CONV bladerf_config_gpio_write | ( | struct bladerf * | dev,
|  | uint32_t | val )

Write the configuration GPIO register.

Note
  Callers should be sure to perform a read-modify-write sequence to avoid accidentally clearing other GPIO bits that may be set by the library internally.

Parameters

  | dev | Device handle
  [out] | val | Desired configuration GPIO value

Returns
  0 on success, value from Error codes list on failure